
Flourish - Bug #5314

Maternal HIV Interim Hx, 1000 VISIT - UAT

09/08/2021 16:12 - Samuel Wilson Kgole

Status: Closed Start date: 09/08/2021

Priority: Normal Due date: 25/08/2021

Assignee: Moses Chawawa % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 1.00 hour

Description

Add new validations at question 9.

If viral load is detectable at Q8, EDC should allow value more than 400

If viral load is not detectable at Q8, EDC should allow value less than 400

History

#1 - 10/08/2021 12:15 - Itumeleng Mosweu

- Assignee set to Moses Chawawa

#2 - 10/08/2021 15:01 - Itumeleng Mosweu

- Due date set to 11/08/2021

#3 - 12/08/2021 16:20 - Itumeleng Mosweu

- Status changed from New to Resolved

#4 - 13/08/2021 10:16 - Samuel Wilson Kgole

- File TypeError at _admin_flourish_caregiver_maternalhivinterimhx_12c7127e-eaa0-4f2f-9661-f028a4f488a6_change_.pdf added

- Status changed from Resolved to Feedback

validation defined above is fine, however, when the result of most recent VL test at Q9 is not answered though it is required in a scenario, EDC shows

yellow screen instead of error message to alert that the field is required.

SEE ATTACHED YELLOW SCREEN

#5 - 17/08/2021 13:44 - Moses Chawawa

- Status changed from Feedback to Resolved

#6 - 18/08/2021 11:55 - Samuel Wilson Kgole

- Status changed from Resolved to Closed

Passed testing.

#7 - 18/08/2021 13:12 - Gosego Masasa

Issue re-opened, Moses can you make it please at Q9, to allow other this character < if not detectable...The viral load results on participants records

usually comes as <400, BUT also kindly note that we still see some results which have only numbers with no characters, so kindly make it to be open to

accept even results with no characters.
Otherwise , all other  scenarios requested before have been resolved, tested and are working fine.

#8 - 18/08/2021 14:16 - Itumeleng Mosweu

- Status changed from Closed to Feedback

#9 - 24/08/2021 12:48 - Moses Chawawa

- Status changed from Feedback to Resolved

#10 - 25/08/2021 16:08 - Gosego Masasa

- File Screenshot 2021-08-25 at 16.04.45.png added

- Status changed from Resolved to Feedback

throws a yellow screen when entering any other character except number at Q9, kindly see the above required validation to add.  wanted to enter <400,

but the following yellow screen popped up.

#11 - 25/08/2021 16:44 - Moses Chawawa

- Status changed from Feedback to Resolved

Server has been update with a fix

#12 - 26/08/2021 10:33 - Samuel Wilson Kgole

- Status changed from Resolved to Closed

Testing passed, used variable <30, <400, 0 when viral load is undetectable.

#14 - 22/08/2022 16:55 - Moses Chawawa

- Due date changed from 11/08/2021 to 25/08/2021

Files

TypeError at _admin_flourish_caregiver_maternalhivinterimhx_12c7127e-eaa0-4f2f-9661-f028a4f488a6_change_.pdf682 KB 13/08/2021 Samuel Wilson Kgole

Screenshot 2021-08-25 at 16.04.45.png 746 KB 25/08/2021 Gosego Masasa
